Bug 860607 - Review Request: dmlite-plugins-adapter - Adapter plug-in for dmlite
Summary: Review Request: dmlite-plugins-adapter - Adapter plug-in for dmlite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrien Devresse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-26 09:45 UTC by Ricardo Rocha
Modified: 2012-12-20 15:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:25:35 UTC
adev88: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ricardo Rocha 2012-09-26 09:45:40 UTC
Spec URL: http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-adapter.spec
SRPM URL: http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-adapter-0.4.0-1.src.rpm
Description:
This package provides the adapter plug-in for dmlite. This plug-in provides both
a name-space and pool management implementation which fallback to forwarding
calls to the old DPNS and DPM daemons.

Comment 2 Adrien Devresse 2012-10-23 20:32:26 UTC
Dear Ricardo,

I get a compilation Error on EPEL 5 with mock related to boost : 


Exécution_de(%prep): /bin/sh -e /var/tmp/rpm-tmp.33252
+ umask 022
+ cd /builddir/build/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /builddir/build/BUILD
+ rm -rf dmlite-plugins-adapter-0.4.0
+ /bin/gzip -dc /builddir/build/SOURCES/dmlite-plugins-adapter-0.4.0.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd dmlite-plugins-adapter-0.4.0
++ /usr/bin/id -u
+ '[' 501 = 0 ']'
++ /usr/bin/id -u
+ '[' 501 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Exécution_de(%build): /bin/sh -e /var/tmp/rpm-tmp.33252
+ umask 022
+ cd /builddir/build/BUILD
+ cd dmlite-plugins-adapter-0.4.0
+ LANG=C
+ export LANG
+ unset DISPLAY
+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CFLAGS
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export CXXFLAGS
+ FFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic'
+ export FFLAGS
+ /usr/bin/cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_INSTALL_LIBDIR:PATH=/usr/lib64 -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DCMAKE_SKIP_RPATH:BOOL=ON -DBUILD_SHARED_LIBS:BOOL=ON . -DCMAKE_INSTALL_PREFIX=/
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib64/ccache/gcc
-- Check for working C compiler: /usr/lib64/ccache/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib64/ccache/c++
-- Check for working CXX compiler: /usr/lib64/ccache/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/share/cmake/Modules/FindBoost.cmake:868 (message):
  Unable to find the requested Boost libraries.
  Boost version: 1.33.1
  Boost include path: /usr/include
  Detected version of Boost is too old.  Requested version was 1.41 (or
  newer).
Call Stack (most recent call first):
  CMakeLists.txt:24 (find_package)
-- dmlite library found in /usr/lib64/libdmlite.so
-- dmlite includes found in /usr/include
-- Found dmlite: /usr/lib64/libdmlite.so
-- dpm includes found in /usr/include
-- Found dpm: /usr/lib64/libdpm.so
-- Configuring incomplete, errors occurred!
erreur: Mauvais status de sortie pour /var/tmp/rpm-tmp.33252 (%build)
Erreur de construction de RPM:
    Mauvais status de sortie pour /var/tmp/rpm-tmp.33252 (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/dmlite-plugins-adapter.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mockbuild/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mockbuild/util.py", line 353, in do
    raise mockbuild.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/dmlite-plugins-adapter.spec']
LEAVE do --> EXCEPTION RAISED

Other builds seems to be fine.


Pre-review :

OK: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

dmlite-plugins-adapter.src: W: invalid-url Source0: dmlite-plugins-adapter-0.4.0.tar.gz

	-> sources from SVN, not a fatal error

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
FAIL: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

		-> FAIL on EPEL 5, intended to run on EL 5.

OK: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
N/A: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
N/A: Static libraries must be in a -static package. 
N/A: Development files must be in a -devel package. 
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
OK: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.

OK: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
OK: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
FAIL: The reviewer should test that the package builds in mock.

	FAIL to build on EPEL 5


OK: The package should compile and build into binary rpms on all supported architectures.
OK: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example
N/A: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 

OK: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
N/A: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
N/A: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
N/A: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

Comment 3 Ricardo Rocha 2012-10-24 09:40:40 UTC
Hi Adrien.

Thanks for the review.

It was missing the explicitly build requires on boost141 for epel5, should be better now:

http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-adapter.spec
http://rocha.web.cern.ch/rocha/fedora/dmlite-plugins-adapter-0.4.0-2.src.rpm

Koji build (el5):
http://koji.fedoraproject.org/koji/taskinfo?taskID=4620974

Thanks again,
  Ricardo

Comment 4 Adrien Devresse 2012-10-25 20:35:17 UTC
I take this officially

Comment 5 Adrien Devresse 2012-10-25 20:36:49 UTC
Second review :

OK: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

	rpmlint  
	dmlite-plugins-adapter.src: W: invalid-url Source0: dmlite-plugins-adapter-0.4.0.tar.gz
	dmlite-plugins-adapter.x86_64: W: incoherent-version-in-changelog 0.4.0-2 ['0.4.0-2.el5.centos', '0.4.0-2.centos']
	3 packages and 0 specfiles checked; 0 errors, 2 warnings.

		-> minor warnings, related to SVN and the usage of SL with mock

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

	-> Apache 2.0

OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

		-> built correctly on :
		    -> EL5 with mock and build override
		    -> EL6 : http://koji.fedoraproject.org/koji/taskinfo?taskID=4625653
	            -> rawhide : http://koji.fedoraproject.org/koji/taskinfo?taskID=4626889


N/A: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
N/A: Static libraries must be in a -static package. 
N/A: Development files must be in a -devel package. 
N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
N/A:: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.

OK: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
OK: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK: The reviewer should test that the package builds in mock.

	 -> Done on EL5 with mock
	 -> Done on EL6 with koji
	 -> Done on rawhide with koji


OK: The package should compile and build into binary rpms on all supported architectures.
OK: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

	-> plugin :

 ldd -r dmlite-plugins-adapter-0.4.0-2.el5.centos.x86_64/usr/lib64/dmlite/plugin_adapter.so
	linux-vdso.so.1 =>  (0x00007fff2b3cf000)
	libdpm.so.1 => /usr/lib64/libdpm.so.1 (0x00002aaea42a3000)
	libdmlite.so.0 => /usr/lib64/libdmlite.so.0 (0x00002aaea4520000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaea47c7000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaea49e2000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaea4ce2000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaea4f66000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaea5174000)
	liblcgdm.so.1 => /usr/lib64/liblcgdm.so.1 (0x00002aaea54cb000)
	libboost_regex.so.5 => /usr/lib64/libboost_regex.so.5 (0x00002aaea56fd000)
	libcrypto.so.6 => /lib64/libcrypto.so.6 (0x00002aaea59f6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaea5d47000)
	libssl.so.6 => /lib64/libssl.so.6 (0x00002aaea5f4c000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003e83200000)
	libicuuc.so.36 => /usr/lib64/libicuuc.so.36 (0x00002aaea6198000)
	libicui18n.so.36 => /usr/lib64/libicui18n.so.36 (0x00002aaea64ce000)
	libz.so.1 => /usr/lib64/libz.so.1 (0x00002aaea6812000)
	libgssapi_krb5.so.2 => /usr/lib64/libgssapi_krb5.so.2 (0x00002aaea6a26000)
	libkrb5.so.3 => /usr/lib64/libkrb5.so.3 (0x00002aaea6c55000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00002aaea6eea000)
	libk5crypto.so.3 => /usr/lib64/libk5crypto.so.3 (0x00002aaea70ec000)
	libicudata.so.36 => /usr/lib64/libicudata.so.36 (0x00002aaea7312000)
	libkrb5support.so.0 => /usr/lib64/libkrb5support.so.0 (0x00002aaea7ec1000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00002aaea80c9000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00002aaea82cc000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00002aaea84e1000)
	libsepol.so.1 => /lib64/libsepol.so.1 (0x00002aaea86fa000)


			-> normal behavior, no missing symbols

N/A: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
OK: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
N/A: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
N/A: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
N/A: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


 -> Minor warnings only, no major issue -> Package Accepted !

Comment 6 Ricardo Rocha 2012-10-25 21:36:07 UTC
Thanks Adrien!

Comment 7 Ricardo Rocha 2012-10-25 21:37:21 UTC
New Package SCM Request
=======================
Package Name: dmlite-plugins-adapter
Short Description: Adapter plug-in for dmlite
Owners: rocha
Branches: el5 el6 f17 f18

Comment 8 Gwyn Ciesla 2012-10-26 11:27:04 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-10-26 14:03:35 UTC
dmlite-plugins-adapter-0.4.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dmlite-plugins-adapter-0.4.0-2.el6

Comment 10 Fedora Update System 2012-10-26 14:03:48 UTC
dmlite-plugins-adapter-0.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dmlite-plugins-adapter-0.4.0-2.fc18

Comment 11 Fedora Update System 2012-10-26 14:04:01 UTC
dmlite-plugins-adapter-0.4.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dmlite-plugins-adapter-0.4.0-2.el5

Comment 12 Fedora Update System 2012-10-26 14:04:13 UTC
dmlite-plugins-adapter-0.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dmlite-plugins-adapter-0.4.0-2.fc17

Comment 13 Fedora Update System 2012-10-26 18:34:34 UTC
dmlite-plugins-adapter-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2012-12-20 15:25:38 UTC
dmlite-plugins-adapter-0.4.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.